Bug 1257815 - we should mention we do not provide any support or guides or tools for maintenance of external DBs
we should mention we do not provide any support or guides or tools for mainte...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Docs Installation Guide (Show other bugs)
570
Unspecified Unspecified
high Severity low
: ---
: ---
Assigned To: Dan Macpherson
Dan Macpherson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-28 02:36 EDT by Jan Hutař
Modified: 2015-10-20 23:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-20 23:30:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2015-08-28 02:36:38 EDT
Description of problem:
We should mention we do not provide any support or guides or tools for maintenance of external DBs (backup/restore, upgrade...). We only have some migration plans to/from external DB.

Maybe these warnings could be in:

https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/5.7/html-single/Installation_Guide/index.html#sect-Migrating_from_an_Embedded_Database_to_an_External_PostgreSQL_Database
   ...and in #sect-Migrating_from_an_Embedded_Database_to_an_External_Oracle_Database

and/or in:

https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/5.7/html-single/Installation_Guide/index.html#sect-External_Database_Requirements


Version-Release number of selected component (if applicable):
Current


Expected results:
Basically, customers should be aware that although Satellite running with external [PostgreSQL|Oracle] is supported, they will need their own DBA to maintain the external DB service.
Comment 1 Jan Hutař 2015-08-28 02:43:57 EDT
This was initially pointed out by syangsao - thanks!
Comment 3 Dan Macpherson 2015-09-14 22:19:27 EDT
This is now live:

https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/5.7/html/Installation_Guide/sect-Scenario_3_Installing_Satellite_with_External_Database.html#sect-External_Database_Requirements

Section now includes the following note:

**IMPORTANT**
Red Hat does not provide support or tools for External Database maintenance. This includes backups, upgrades, and database tuning. Customers using an External Database require their own database administrator to support and maintain the database. 

Jan -- Does this suit the requirements of the bug? Any further changes required?
Comment 4 Jan Hutař 2015-09-15 05:22:52 EDT
It is perfect, thank you!

Note You need to log in before you can comment on or make changes to this bug.